<?php
/**
 * used with other components of the framework admin. this file is for
 * setting up any basic features and holding additional admin helper functions.
 */
/*=========================== load theme customization options ===========================================*/

/* load custom control classes. */
add_action( 'customize_register', 'vintagejournal_customize_controls', 1 );

/*
	@theme customizer settings for wordpress customizer.
*/
global $pagenow;
if ( is_admin() && 'admin.php' == $pagenow ) {

	if ( ! current_user_can( 'manage_options' ) ) {
		/* for translator page access */
		if ( is_plugin_active( 'sitepress-multilingual-cms/sitepress.php' ) ) {

		} else {
			wp_die( esc_html__( 'you do not have sufficient permissions to access this section.','vintagejournal' ) );
		}
	}
}
/*	add action for customizer   start	*/
	add_action( 'customize_register',  'vintagejournal_register_customizer_settings' );
/*	add action for customizer   end	*/


/*	function to create sections, settings, controls for wordpress customizer start.  */
global $support_woocommerce;
$support_woocommerce = get_theme_support( 'supreme_woocommerce_layout' );
/*
	register customizer settings option , it returns the options for theme->customizer.php
*/
function vintagejournal_register_customizer_settings( $wp_customize ) {
	global $support_woocommerce;
		/* add section for different controls in customizer start
		header image section settings start */
		$wp_customize->remove_section( 'header_image' );

		/*header image section settings end
		navigation menu section settings start*/
	if ( $wp_customize->get_section( 'nav' ) ) {
		$wp_customize->get_section( 'nav' )->priority = 6;
	}

		/* navigation menu section settings end
		color section settings start */
		$wp_customize->get_section( 'colors' )->title = esc_html__( 'Colors settings' ,'vintagejournal' );
		$wp_customize->get_section( 'colors' )->priority = 7;

		/* colour section settings end	background section settings start */
		$wp_customize->get_section( 'background_image' )->title = esc_html__( 'Background settings','vintagejournal' );
		$wp_customize->get_section( 'background_image' )->priority = 8;

		/* background section settings end
		add site logo section start */
		$wp_customize->add_section('vintagejournal_logo_settings', array(
			'title' => esc_html__( 'Site logo','vintagejournal' ),
			'priority' => 1,
		));

		/* site title section settings start */
		$wp_customize->get_section( 'title_tagline' )->priority = 2;

		//static front page section settings start
		$wp_customize->get_section( 'static_front_page' )->priority = 12;
		//static front page section settings end

		/* add site bckground image section finish */
		$wp_customize->add_section('vintagejournal_google_font_settings', array(
			'title' => 'Typography',
			'priority' => 9,
		));
		//supreme core footer section settings end

	/*	add settings start */

		//add settings for site logo start
		//callback function: vintagejournal_customize_logo_url
		$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[vintagejournal_logo_url]',array(
			'default' => '',
			'type' => 'option',
			'capabilities' => 'edit_theme_options',
			'sanitize_callback' => 'vintagejournal_customize_logo_url',
			'sanitize_js_callback' => 'vintagejournal_customize_logo_url',
			//'transport' => 'postmessage',
		));
		//add settings for site logo finish

		//color settings start.
		$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[color_picker_color1]',array(
				'default' => '',
				'type' => 'option',
				'capabilities' => 'edit_theme_options',
				'sanitize_callback' => 'vintagejournal_customize_supreme_color1',
				'sanitize_js_callback' => 'vintagejournal_customize_supreme_color1',
				//'transport' => 'postmessage',
		));

			$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[vintagejournal_google_fonts]',array(
				'default' => '',
				'type' => 'option',
				'capabilities' => 'edit_theme_options',
				'sanitize_callback' => 'vintagejournal_customize_tmpl_google_fonts',
				'sanitize_js_callback' => 'vintagejournal_customize_tmpl_google_fonts',
				//'transport' => 'postMessage',
			));

			$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[vintagejournal_fonts_size]',array(
				'default' => '',
				'type' => 'option',
				'capabilities' => 'edit_theme_options',
				'sanitize_callback' => 'vintagejournal_customize_tmpl_fonts_size',
				'sanitize_js_callback' => 'vintagejournal_customize_tmpl_fonts_size',
				//'transport' => 'postMessage',
			));

			$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[color_picker_color2]',array(
				'default' => '',
				'type' => 'option',
				'capabilities' => 'edit_theme_options',
				'sanitize_callback' => 'vintagejournal_customize_supreme_color2',
				'sanitize_js_callback' => 'vintagejournal_customize_supreme_color2',
				//'transport' => 'postmessage',
			));

			$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[color_picker_color3]',array(
				'default' => '',
				'type' => 'option',
				'capabilities' => 'edit_theme_options',
				'sanitize_callback' => 'vintagejournal_customize_supreme_color3',
				'sanitize_js_callback' => 'vintagejournal_customize_supreme_color3',
				//'transport' => 'postmessage',
			));

			$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[color_picker_color4]',array(
				'default' => '',
				'type' => 'option',
				'capabilities' => 'edit_theme_options',
				'sanitize_callback' => 'vintagejournal_customize_supreme_color4',
				'sanitize_js_callback' => 'vintagejournal_customize_supreme_color4',
				//'transport' => 'postmessage',
			));

			$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[color_picker_color5]',array(
				'default' => '',
				'type' => 'option',
				'capabilities' => 'edit_theme_options',
				'sanitize_callback' => 'vintagejournal_customize_supreme_color5',
				'sanitize_js_callback' => 'vintagejournal_customize_supreme_color5',
				//'transport' => 'postmessage',
			));

			$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[color_picker_color6]',array(
				'default' => '',
				'type' => 'option',
				'capabilities' => 'edit_theme_options',
				'sanitize_callback' => 'vintagejournal_customize_supreme_color6',
				'sanitize_js_callback' => 'vintagejournal_customize_supreme_color6',
				//'transport' => 'postmessage',
			));

			$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[color_picker_color7]',array(
				'default' => '',
				'type' => 'option',
				'capabilities' => 'edit_theme_options',
				'sanitize_callback' => 'vintagejournal_customize_supreme_color7',
				'sanitize_js_callback' => 'vintagejournal_customize_supreme_color7',
				//'transport' => 'postmessage',
			));

			$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[color_picker_color8]',array(
				'default' => '',
				'type' => 'option',
				'capabilities' => 'edit_theme_options',
				'sanitize_callback' => 'vintagejournal_customize_supreme_color8',
				'sanitize_js_callback' => 'vintagejournal_customize_supreme_color8',
				//'transport' => 'postmessage',
			));

			$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[color_picker_color9]',array(
				'default' => '',
				'type' => 'option',
				'capabilities' => 'edit_theme_options',
				'sanitize_callback' => 'vintagejournal_customize_supreme_color9',
				'sanitize_js_callback' => 'vintagejournal_customize_supreme_color9',
				//'transport' => 'postmessage',
			));

			$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[color_picker_color10]',array(
				'default' => '',
				'type' => 'option',
				'capabilities' => 'edit_theme_options',
				'sanitize_callback' => 'vintagejournal_customize_supreme_color10',
				'sanitize_js_callback' => 'vintagejournal_customize_supreme_color10',
				//'transport' => 'postmessage',
			));

			$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[color_picker_color11]',array(
				'default' => '',
				'type' => 'option',
				'capabilities' => 'edit_theme_options',
				'sanitize_callback' => 'vintagejournal_customize_supreme_color11',
				'sanitize_js_callback' => 'vintagejournal_customize_supreme_color11',
				//'transport' => 'postmessage',
			));

			$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[color_picker_color12]',array(
				'default' => '',
				'type' => 'option',
				'capabilities' => 'edit_theme_options',
				'sanitize_callback' => 'vintagejournal_customize_supreme_color12',
				'sanitize_js_callback' => 'vintagejournal_customize_supreme_color12',
				//'transport' => 'postmessage',
			));

			$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[color_picker_color13]',array(
				'default' => '',
				'type' => 'option',
				'capabilities' => 'edit_theme_options',
				'sanitize_callback' => 'vintagejournal_customize_supreme_color13',
				'sanitize_js_callback' => 'vintagejournal_customize_supreme_color13',
				//'transport' => 'postmessage',
			));

			$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[color_picker_color14]',array(
				'default' => '',
				'type' => 'option',
				'capabilities' => 'edit_theme_options',
				'sanitize_callback' => 'vintagejournal_customize_supreme_color14',
				'sanitize_js_callback' => 'vintagejournal_customize_supreme_color14',
				//'transport' => 'postmessage',
			));

			$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[color_picker_color15]',array(
				'default' => '',
				'type' => 'option',
				'capabilities' => 'edit_theme_options',
				'sanitize_callback' => 'vintagejournal_customize_supreme_color15',
				'sanitize_js_callback' => 'vintagejournal_customize_supreme_color15',
				//'transport' => 'postmessage',
			));

			$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[color_picker_color16]',array(
				'default' => '',
				'type' => 'option',
				'capabilities' => 'edit_theme_options',
				'sanitize_callback' => 'vintagejournal_customize_supreme_color16',
				'sanitize_js_callback' => 'vintagejournal_customize_supreme_color16',
				//'transport' => 'postmessage',
			));

			$wp_customize->add_setting(vintagejournal_prefix() . '_theme_settings[color_picker_color17]',array(
				'default' => '',
				'type' => 'option',
				'capabilities' => 'edit_theme_options',
				'sanitize_callback' => 'vintagejournal_customize_supreme_color17',
				'sanitize_js_callback' => 'vintagejournal_customize_supreme_color17',
				//'transport' => 'postmessage',
			));

	/*	add settings end */

	/*	add control start */

		/* added site logo control start */

		$wp_customize->add_control( new wp_customize_image_control($wp_customize, vintagejournal_prefix() . '_theme_settings[vintagejournal_logo_url]', array(
			'label' => esc_html__( ' Upload Image For Logo','vintagejournal' ),
			'section' => 'vintagejournal_logo_settings',
			'settings' => vintagejournal_prefix() . '_theme_settings[vintagejournal_logo_url]',
		)));
		/* added site logo control finish */

		/* color settings control start */
		/*
			primary: 	 effect on buttons, links and main headings.
			secondary: 	 effect on sub-headings.
			content: 	 effect on content.
			sub-text: 	 effect on sub-texts.
            background:  effect on body & menu background.

		*/
		$wp_customize->add_control( new wp_customize_color_control( $wp_customize, 'color_picker_color1', array(
			'label'   => esc_html__( 'body background color', 'vintagejournal' ),
			'section' => 'colors',
			'settings'   => vintagejournal_prefix() . '_theme_settings[color_picker_color1]',
			'priority' => 1,
		) ) );

		$wp_customize->add_control( new wp_customize_color_control( $wp_customize, 'color_picker_color2', array(
			'label'   => esc_html__( 'Heading Color', 'vintagejournal' ),
			'section' => 'colors',
			'settings'   => vintagejournal_prefix() . '_theme_settings[color_picker_color2]',
			'priority' => 2,
		) ) );

		$wp_customize->add_control( new wp_customize_color_control( $wp_customize, 'color_picker_color3', array(
			'label'   => esc_html__( 'Link Normal Color', 'vintagejournal' ),
			'section' => 'colors',
			'settings'   => vintagejournal_prefix() . '_theme_settings[color_picker_color3]',
			'priority' => 3,
		) ) );

		$wp_customize->add_control( new wp_customize_color_control( $wp_customize, 'color_picker_color4', array(
			'label'   => esc_html__( 'Link Hover Color', 'vintagejournal' ),
			'section' => 'colors',
			'settings'   => vintagejournal_prefix() . '_theme_settings[color_picker_color4]',
			'priority' => 4,
		) ) );

		$wp_customize->add_control( new wp_customize_color_control( $wp_customize, 'color_picker_color5', array(
			'label'   => esc_html__( 'Body Font Color', 'vintagejournal' ),
			'section' => 'colors',
			'settings'   => vintagejournal_prefix() . '_theme_settings[color_picker_color5]',
			'priority' => 5,
		) ) );

		$wp_customize->add_control( new wp_customize_color_control( $wp_customize, 'color_picker_color6', array(
			'label'   => esc_html__( 'Primary Background', 'vintagejournal' ),
			'section' => 'colors',
			'settings'   => vintagejournal_prefix() . '_theme_settings[color_picker_color6]',
			'priority' => 6,
		) ) );

		$wp_customize->add_control( new wp_customize_color_control( $wp_customize, 'color_picker_color7', array(
			'label'   => esc_html__( 'Secondary Background Color', 'vintagejournal' ),
			'section' => 'colors',
			'settings'   => vintagejournal_prefix() . '_theme_settings[color_picker_color7]',
			'priority' => 7,
		) ) );

		$wp_customize->add_control( new wp_customize_color_control( $wp_customize, 'color_picker_color8', array(
			'label'   => esc_html__( 'Button Normal Background Color', 'vintagejournal' ),
			'section' => 'colors',
			'settings'   => vintagejournal_prefix() . '_theme_settings[color_picker_color8]',
			'priority' => 8,
		) ) );

		$wp_customize->add_control( new wp_customize_color_control( $wp_customize, 'color_picker_color9', array(
			'label'   => esc_html__( 'Button Hover Background Color', 'vintagejournal' ),
			'section' => 'colors',
			'settings'   => vintagejournal_prefix() . '_theme_settings[color_picker_color9]',
			'priority' => 9,
		) ) );

		$wp_customize->add_control( new wp_customize_color_control( $wp_customize, 'color_picker_color10', array(
			'label'   => esc_html__( 'Button Normal Color', 'vintagejournal' ),
			'section' => 'colors',
			'settings'   => vintagejournal_prefix() . '_theme_settings[color_picker_color10]',
			'priority' => 10,
		) ) );

		$wp_customize->add_control( new wp_customize_color_control( $wp_customize, 'color_picker_color11', array(
			'label'   => esc_html__( 'Button Hover Color', 'vintagejournal' ),
			'section' => 'colors',
			'settings'   => vintagejournal_prefix() . '_theme_settings[color_picker_color11]',
			'priority' => 11,
		) ) );

		$wp_customize->add_control( new wp_customize_color_control( $wp_customize, 'color_picker_color12', array(
			'label'   => esc_html__( 'Primary Color', 'vintagejournal' ),
			'section' => 'colors',
			'settings'   => vintagejournal_prefix() . '_theme_settings[color_picker_color12]',
			'priority' => 12,
		) ) );

		$wp_customize->add_control( new wp_customize_color_control( $wp_customize, 'color_picker_color13', array(
			'label'   => esc_html__( 'Footer Background Color', 'vintagejournal' ),
			'section' => 'colors',
			'settings'   => vintagejournal_prefix() . '_theme_settings[color_picker_color13]',
			'priority' => 13,
		) ) );

		$wp_customize->add_control( new wp_customize_color_control( $wp_customize, 'color_picker_color14', array(
			'label'   => esc_html__( 'Footer Heading Color', 'vintagejournal' ),
			'section' => 'colors',
			'settings'   => vintagejournal_prefix() . '_theme_settings[color_picker_color14]',
			'priority' => 14,
		) ) );

		$wp_customize->add_control( new wp_customize_color_control( $wp_customize, 'color_picker_color15', array(
			'label'   => esc_html__( 'Footer Text Color', 'vintagejournal' ),
			'section' => 'colors',
			'settings'   => vintagejournal_prefix() . '_theme_settings[color_picker_color15]',
			'priority' => 15,
		) ) );

		$wp_customize->add_control( new wp_customize_color_control( $wp_customize, 'color_picker_color16', array(
			'label'   => esc_html__( 'Footer Link Normal Color', 'vintagejournal' ),
			'section' => 'colors',
			'settings'   => vintagejournal_prefix() . '_theme_settings[color_picker_color16]',
			'priority' => 16,
		) ) );

		$wp_customize->add_control( new wp_customize_color_control( $wp_customize, 'color_picker_color17', array(
			'label'   => esc_html__( 'Footer Link Hover Color', 'vintagejournal' ),
			'section' => 'colors',
			'settings'   => vintagejournal_prefix() . '_theme_settings[color_picker_color17]',
			'priority' => 17,
		) ) );

		$google_fonts = array(
						'' => '',
						'Cantarell' => 'Cantarell',
						'Cardo' => 'Cardo',
						'Crimson+Text' => 'Crimson Text',
						'Droid+Sans' => 'Droid Sans',
						'Droid+Sans+Mono' => 'Droid Sans Mono',
						'Droid+Serif' => 'Droid Serif',
						'IM+Fell+DW+Pica' => 'IM Fell DW Pica',
						'Inconsolata' => 'Inconsolata',
						'Josefin+Sans' => 'Josefin Sans',
						'Josefin+Slab' => 'Josefin Slab',
						'Lobster' => 'Lobster',
						'Molengo' => 'Molengo',
						'Nobile' => 'Nobile',
						'OFL+Sorts+Mill+Goudy+TT' => 'OFL Sorts Mill Goudy TT',
						'Old+Standard+TT' => 'Old Standard TT',
						'Reenie+Beanie' => 'Reenie Beanie',
						'Tangerine' => 'Tangerine',
						'Vollkorn' => 'Vollkorn',
						'Yanone+Kaffeesatz' => 'Yanone Kaffeesatz',
						'Cuprum' => 'Cuprum',
						'Neucha' => 'Neucha',
						'Neuton' => 'Neuton',
						'PT+Sans' => 'PT Sans',
						'PT+Sans+Caption' => 'PT Sans Caption',
						'PT+Sans+Narrow' => 'PT Sans Narrow',
						'Philosopher' => 'Philosopher',
						'Allerta' => 'Allerta',
						'Allerta+Stencil' => 'Allerta Stencil',
						'Arimo' => 'Arimo',
						'Arvo' => 'Arvo',
						'Bentham' => 'Bentham',
						'Coda' => 'Coda',
						'Cousine' => 'Cousine',
						'Covered+By+Your+Grace' => 'Covered By Your Grace',
						'Geo' => 'Geo',
						'Just+Me+Again+Down+Here' => 'Just Me Again Down Here',
						'Puritan' => 'Puritan',
						'Raleway' => 'Raleway',
						'Tinos' => 'Tinos',
						'UnifrakturCook' => 'UnifrakturCook',
						'UnifrakturMaguntia' => 'UnifrakturMaguntia',
						'Mountains+of+Christmas' => 'Mountains of Christmas',
						'Lato' => 'Lato',
						'Orbitron' => 'Orbitron',
						'Allan' => 'Allan',
						'Anonymous+Pro' => 'Anonymous Pro',
						'Copse' => 'Copse',
						'Kenia' => 'Kenia',
						'Ubuntu' => 'Ubuntu',
						'Vibur' => 'Vibur',
						'Sniglet' => 'Sniglet',
						'Syncopate' => 'Syncopate',
						'Cabin' => 'Cabin',
						'Merriweather' => 'Merriweather',
						'Maiden+Orange' => 'Maiden Orange',
						'Just+Another+Hand' => 'Just Another Hand',
						'Kristi' => 'Kristi',
						'Corben' => 'Corben',
						'Gruppo' => 'Gruppo',
						'Buda' => 'Buda',
						'Lekton' => 'Lekton',
						'Luckiest+Guy' => 'Luckiest Guy',
						'Crushed' => 'Crushed',
						'Chewy' => 'Chewy',
						'Coming Soon' => 'Coming Soon',
						'Crafty+Girls' => 'Crafty Girls',
						'Fontdiner+Swanky' => 'Fontdiner Swanky',
						'Permanent+Marker' => 'Permanent Marker',
						'Rock+Salt' => 'Rock Salt',
						'Sunshiney' => 'Sunshiney',
						'Unkempt' => 'Unkempt',
						'Calligraffitti' => 'Calligraffitti',
						'Cherry+Cream+Soda' => 'Cherry Cream Soda',
						'Homemade+Apple' => 'Homemade Apple',
						'Irish+Growler' => 'Irish Growler',
						'Kranky' => 'Kranky',
						'Schoolbell' => 'Schoolbell',
						'Slackey' => 'Slackey',
						'Walter+Turncoat' => 'Walter Turncoat',
						'Radley' => 'Radley',
						'Meddon' => 'Meddon',
						'Kreon' => 'Kreon',
						'Dancing+Script' => 'Dancing Script',
						'Goudy+Bookletter+1911' => 'Goudy Bookletter 1911',
						'PT+Serif+Caption' => 'PT Serif Caption',
						'PT+Serif' => 'PT Serif',
						'Astloch' => 'Astloch',
						'Bevan' => 'Bevan',
						'Anton' => 'Anton',
						'Expletus+Sans' => 'Expletus Sans',
						'VT323' => 'VT323',
						'Pacifico' => 'Pacifico',
						'Candal' => 'Candal',
						'Architects+Daughter' => 'Architects Daughter',
						'Indie+Flower' => 'Indie Flower',
						'League+Script' => 'League Script',
						'Quattrocento' => 'Quattrocento',
						'Amaranth' => 'Amaranth',
						'Irish+Grover' => 'Irish Grover',
						'Oswald' => 'Oswald',
						'EB+Garamond' => 'EB Garamond',
						'Nova+Round' => 'Nova Round',
						'Nova+Slim' => 'Nova Slim',
						'Nova+Script' => 'Nova Script',
						'Nova+Cut' => 'Nova Cut',
						'Nova+Mono' => 'Nova Mono',
						'Nova+Oval' => 'Nova Oval',
						'Nova+Flat' => 'Nova Flat',
						'Terminal+Dosis+Light' => 'Terminal Dosis Light',
						'Michroma' => 'Michroma',
						'Miltonian' => 'Miltonian',
						'Miltonian+Tattoo' => 'Miltonian Tattoo',
						'Annie+Use+Your+Telescope' => 'Annie Use Your Telescope',
						'Dawning+of+a+New+Day' => 'Dawning of a New Day',
						'Sue+Ellen+Francisco' => 'Sue Ellen Francisco',
						'Waiting+for+the+Sunrise' => 'Waiting for the Sunrise',
						'Special+Elite' => 'Special Elite',
						'Quattrocento+Sans' => 'Quattrocento Sans',
						'Smythe' => 'Smythe',
						'The+Girl+Next+Door' => 'The Girl Next Door',
						'Aclonica' => 'Aclonica',
						'News+Cycle' => 'News Cycle',
						'Damion' => 'Damion',
						'Wallpoet' => 'Wallpoet',
						'Over+the+Rainbow' => 'Over the Rainbow',
						'MedievalSharp' => 'MedievalSharp',
						'Six+Caps' => 'Six Caps',
						'Swanky+and+Moo+Moo' => 'Swanky and Moo Moo',
						'Bigshot+One' => 'Bigshot One',
						'Francois+One' => 'Francois One',
						'Sigmar+One' => 'Sigmar One',
						'Carter+One' => 'Carter One',
						'Holtwood+One+SC' => 'Holtwood One SC',
						'Paytone+One' => 'Paytone One',
						'Monofett' => 'Monofett',
						'Rokkitt' => 'Rokkitt',
						'Megrim' => 'Megrim',
						'Judson' => 'Judson',
						'Didact+Gothic' => 'Didact Gothic',
						'Play' => 'Play',
						'Ultra' => 'Ultra',
						'Metrophobic' => 'Metrophobic',
						'Mako' => 'Mako',
						'Shanti' => 'Shanti',
						'Caudex' => 'Caudex',
						'Jura' => 'Jura',
						'Ruslan+Display' => 'Ruslan Display',
						'Brawler' => 'Brawler',
						'Nunito' => 'Nunito',
						'Wire+One' => 'Wire One',
						'Podkova' => 'Podkova',
						'Muli' => 'Muli',
						'Maven+Pro' => 'Maven Pro',
						'Tenor+Sans' => 'Tenor Sans',
						'Limelight' => 'Limelight',
						'Playfair+Display' => 'Playfair Display',
						'Artifika' => 'Artifika',
						'Lora' => 'Lora',
						'Kameron' => 'Kameron',
						'Cedarville+Cursive' => 'Cedarville Cursive',
						'Zeyada' => 'Zeyada',
						'La+Belle+Aurore' => 'La Belle Aurore',
						'Shadows+Into+Light' => 'Shadows Into Light',
						'Lobster+Two' => 'Lobster Two',
						'Nixie+One' => 'Nixie One',
						'Redressed' => 'Redressed',
						'Bangers' => 'Bangers',
						'Open+Sans+Condensed' => 'Open Sans Condensed',
						'Open+Sans' => 'Open Sans',
						'Varela' => 'Varela',
						'Goblin+One' => 'Goblin One',
						'Asset' => 'Asset',
						'Gravitas+One' => 'Gravitas One',
						'Hammersmith+One' => 'Hammersmith One',
						'Stardos+Stencil' => 'Stardos Stencil',
						'Love+Ya+Like+A+Sister' => 'Love+Ya+Like+A+Sister',
						'Loved+by+the+King' => 'Loved by the King',
						'Bowlby+One+SC' => 'Bowlby One SC',
						'Forum' => 'Forum',
						'Patrick+Hand' => 'Patrick Hand',
						'Varela+Round' => 'Varela Round',
						'Yeseva+One' => 'Yeseva One',
						'Give+You+Glory' => 'Give You Glory',
						'Modern+Antiqua' => 'Modern Antiqua',
						'Bowlby+One' => 'Bowlby One',
						'Tienne' => 'Tienne',
						'Istok+Web' => 'Istok Web',
						'Yellowtail' => 'Yellowtail',
						'Pompiere' => 'Pompiere',
						'Unna' => 'Unna',
						'Rosario' => 'Rosario',
						'Leckerli+One' => 'Leckerli One',
						'Snippet' => 'Snippet',
						'Ovo' => 'Ovo',
						'IM+Fell+English' => 'IM Fell English',
						'IM+Fell+English+SC' => 'IM Fell English SC',
						'Gloria+Hallelujah' => 'Gloria Hallelujah',
						'Kelly+Slab' => 'Kelly Slab',
						'Black+Ops+One' => 'Black Ops One',
						'Carme' => 'Carme',
						'Aubrey' => 'Aubrey',
						'Federo' => 'Federo',
						'Delius' => 'Delius',
						'Rochester' => 'Rochester',
						'Rationale' => 'Rationale',
						'Abel' => 'Abel',
						'Marvel' => 'Marvel',
						'Actor' => 'Actor',
						'Delius+Swash+Caps' => 'Delius Swash Caps',
						'Smokum' => 'Smokum',
						'Tulpen+One' => 'Tulpen One',
						'Coustard' => 'Coustard',
						'Andika' => 'Andika',
						'Alice' => 'Alice',
						'Questrial' => 'Questrial',
						'Comfortaa' => 'Comfortaa',
						'Geostar' => 'Geostar',
						'Geostar+Fill' => 'Geostar Fill',
						'Volkhov' => 'Volkhov',
						'Voltaire' => 'Voltaire',
						'Montez' => 'Montez',
						'Short+Stack' => 'Short Stack',
						'Vidaloka' => 'Vidaloka',
						'Aldrich' => 'Aldrich',
						'Numans' => 'Numans',
						'Days+One' => 'Days One',
						'Gentium+Book+Basic' => 'Gentium Book Basic',
						'Monoton' => 'Monoton',
						'Alike' => 'Alike',
						'Delius+Unicase' => 'Delius Unicase',
						'Abril+Fatface' => 'Abril Fatface',
						'Dorsa' => 'Dorsa',
						'Antic' => 'Antic',
						'Passero+One' => 'Passero One',
						'Merienda+One' => 'Merienda One',
						'Changa+One' => 'Changa One',
						'Julee' => 'Julee',
						'Prata' => 'Prata',
						'Adamina' => 'Adamina',
						'Sorts+Mill+Goudy' => 'Sorts Mill Goudy',
						'Terminal+Dosis' => 'Terminal Dosis',
						'Sansita+One' => 'Sansita One',
						'Chivo' => 'Chivo',
						'Spinnaker' => 'Spinnaker',
						'Poller+One' => 'Poller One',
						'Alike+Angular' => 'Alike Angular',
						'Gochi+Hand' => 'Gochi Hand',
						'Poly' => 'Poly',
						'Andada' => 'Andada',
						'Federant' => 'Federant',
						'Ubuntu+Condensed' => 'Ubuntu Condensed',
						'Ubuntu+Mono' => 'Ubuntu Mono',
						'Sancreek' => 'Sancreek',
						'Coda' => 'Coda',
						'Rancho' => 'Rancho',
						'Satisfy' => 'Satisfy',
						'Pinyon+Script' => 'Pinyon Script',
						'Vast+Shadow' => 'Vast Shadow',
						'Marck+Script' => 'Marck Script',
						'Salsa' => 'Salsa',
						'Amatic+SC' => 'Amatic SC',
						'Quicksand' => 'Quicksand',
						'Linden+Hill' => 'Linden Hill',
						'Corben' => 'Corben',
						'Creepster+Caps' => 'Creepster Caps',
						'Butcherman+Caps' => 'Butcherman Caps',
						'Eater+Caps' => 'Eater Caps',
						'Nosifer+Caps' => 'Nosifer Caps',
						'Atomic+Age' => 'Atomic Age',
						'Contrail+One' => 'Contrail One',
						'Jockey+One' => 'Jockey One',
						'Cabin+Sketch' => 'Cabin Sketch',
						'Cabin+Condensed' => 'Cabin Condensed',
						'Fjord+One' => 'Fjord One',
						'Rametto+One' => 'Rametto One',
						'Mate' => 'Mate',
						'Mate+SC' => 'Mate SC',
						'Arapey' => 'Arapey',
						'Supermercado+One' => 'Supermercado One',
						'Petrona' => 'Petrona',
						'Lancelot' => 'Lancelot',
						'Convergence' => 'Convergence',
						'Cutive' => 'Cutive',
						'Karla' => 'Karla',
						'Bitter' => 'Bitter',
						'Asap' => 'Asap',
						'Bree+Serif' => 'Bree Serif',
					);
		asort( $google_fonts );
	foreach ( $google_fonts as $key => $val ) {
		$google_fonts_array[ $key ] = $val;
	}
		$wp_customize->add_control(
			'example_select_box',
			array(
					'settings' => vintagejournal_prefix() . '_theme_settings[vintagejournal_google_fonts]',
					'type' => 'select',
					'label' => 'Google Fonts',
					'section' => 'vintagejournal_google_font_settings',
					'choices' => $google_fonts_array,
				)
		);

		$wp_customize->add_control(
			'font_select_box',
			array(
					'settings' => vintagejournal_prefix() . '_theme_settings[vintagejournal_fonts_size]',
					'type' => 'select',
					'label' => 'Font Size',
					'section' => 'vintagejournal_google_font_settings',
					'choices' => array(
						'' => '',
						'10' => '10 px',
						'11' => '11 px',
						'12' => '12 px',
						'13' => '13 px',
						'14' => '14 px',
						'15' => '15 px',
						'16' => '16 px',
						'17' => '17 px',
						'18' => '18 px',
						'19' => '19 px',
						'20' => '20 px',
					),
				)
		);

		/* remove wordpress default control start.*/
		$wp_customize->remove_control( 'background_color' );

		$wp_customize->remove_control( 'header_textcolor' );

	/*	add control end */
}
/*	function to create sections, settings, controls for wordpress customizer end.  */
/*  handles changing settings for the live preview of the theme start.  */

function vintagejournal_customize_logo_url( $setting, $object ) {

	/* make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[vintagejournal_logo_url]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_logo_url', $setting, $object );
}

function vintagejournal_customize_tmpl_google_fonts( $setting, $object ) {
	/* Make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[vintagejournal]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* Return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_tmpl_google_fonts', $setting, $object );
}

function vintagejournal_customize_tmpl_fonts_size( $setting, $object ) {
	/* Make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[vintagejournal_fonts_size]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* Return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_tmpl_fonts_size', $setting, $object );
}

function vintagejournal_customize_supreme_color1( $setting, $object ) {

	/* make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[color_picker_color1]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_supreme_color1', $setting, $object );
}

function vintagejournal_customize_supreme_color2( $setting, $object ) {

	/* make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[color_picker_color2]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_supreme_color2', $setting, $object );
}

function vintagejournal_customize_supreme_color3( $setting, $object ) {

	/* make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[color_picker_color3]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_supreme_color3', $setting, $object );
}

function vintagejournal_customize_supreme_color4( $setting, $object ) {

	/* make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[color_picker_color4]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_supreme_color4', $setting, $object );
}

function vintagejournal_customize_supreme_color5( $setting, $object ) {

	/* make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[color_picker_color5]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_supreme_color5', $setting, $object );
}

function vintagejournal_customize_supreme_color6( $setting, $object ) {

	/* make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[color_picker_color6]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_supreme_color6', $setting, $object );
}

function vintagejournal_customize_supreme_color7( $setting, $object ) {

	/* make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[color_picker_color7]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_supreme_color7', $setting, $object );
}

function vintagejournal_customize_supreme_color8( $setting, $object ) {

	/* make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[color_picker_color8]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_supreme_color8', $setting, $object );
}

function vintagejournal_customize_supreme_color9( $setting, $object ) {

	/* make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[color_picker_color9]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_supreme_color9', $setting, $object );
}

function vintagejournal_customize_supreme_color10( $setting, $object ) {

	/* make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[color_picker_color10]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_supreme_color10', $setting, $object );
}

function vintagejournal_customize_supreme_color11( $setting, $object ) {

	/* make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[color_picker_color11]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_supreme_color11', $setting, $object );
}

function vintagejournal_customize_supreme_color12( $setting, $object ) {

	/* make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[color_picker_color12]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_supreme_color12', $setting, $object );
}

function vintagejournal_customize_supreme_color13( $setting, $object ) {

	/* make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[color_picker_color13]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_supreme_color13', $setting, $object );
}

function vintagejournal_customize_supreme_color14( $setting, $object ) {

	/* make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[color_picker_color14]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_supreme_color14', $setting, $object );
}

function vintagejournal_customize_supreme_color15( $setting, $object ) {

	/* make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[color_picker_color15]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_supreme_color15', $setting, $object );
}

function vintagejournal_customize_supreme_color16( $setting, $object ) {

	/* make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[color_picker_color16]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_supreme_color16', $setting, $object );
}

function vintagejournal_customize_supreme_color17( $setting, $object ) {

	/* make sure we kill evil scripts from users without the 'unfiltered_html' cap. */
	if ( vintagejournal_prefix() . '_theme_settings[color_picker_color17]' == $object->id && ! current_user_can( 'unfiltered_html' ) ) {
		$setting = stripslashes( wp_filter_post_kses( addslashes( $setting ) ) );
	}
	/* return the sanitized setting and apply filters. */
	return apply_filters( 'vintagejournal_customize_supreme_color17', $setting, $object );
}





/*  handles changing settings for the live preview of the theme end.  */


/**
 * loads framework-specific customize control classes.  customize control classes extend the wordpress
 * wp_customize_control class to create unique classes that can be used within the framework.
 */
function vintagejournal_customize_controls() {
	 /*
	 * custom label customize control class.
	 */
	if ( class_exists( 'wp_customize_control' ) ) {
		class supreme_custom_lable_control extends wp_customize_control {
			public function render_content() {
	?>
<label> <span><?php echo esc_html( $this->label ); ?></span> </label>
<?php
			}
		}
	}
	/**
	 * text area customize control class.
	 */
	if ( class_exists( 'wp_customize_control' ) ) {
		class hybrid_customize_control_textarea extends wp_customize_control {
			public $type = 'textarea';
			public function __construct( $manager, $id, $args = array() ) {
				parent::__construct( $manager, $id, $args );
			}
			public function render_content() {
	?>
			<label>
				<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
				<div class="customize-control-content">
				  <textarea cols="25" rows="5" <?php $this->link(); ?>><?php echo esc_textarea( $this->value() ); ?></textarea>
				</div>
			</label>
<?php }
		}
	}

}
?>
