<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package VintageJournal
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="//gmpg.org/xfn/11">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php endif; ?>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
 
	<header class="site-header" role="banner">
		<?php if ( has_nav_menu( 'secondary' ) ) : ?>
				<div class="menu-outer">
					<div class="row">
					<div id="top-menu" class="menu" aria-label="<?php esc_html_e( 'Secondary Menu', 'vintagejournal' ); ?>" >
							<?php
							wp_nav_menu( array(
								'theme_location' => 'secondary',
								'menu_class'     => 'menu',
							) );
						?>

						
												<?php if ( is_active_sidebar( 'top_menu_right' ) ) : ?>
							<div class="top-menu-right">
									<?php dynamic_sidebar( 'top_menu_right' ); ?>
								
							</div>
						<?php endif; ?>
					</div><!-- .main-navigation -->
					</div>
				</div>
		<?php endif; ?>

			<div class="row">
			<div class="large-12 columns show-for-large-up hide-for-xsmall-only">
				<div class="row">
					<div class="large-6 medium-6 columns logo-wrap">
						<?php
								global $vintagejournal_settings;
						if ( isset( $vintagejournal_settings['vintagejournal_logo_url'] ) && $vintagejournal_settings['vintagejournal_logo_url'] ) { ?>
									<div class='site-logo'><a class="logo" href="<?php echo home_url(); ?>" rel="nofollow">
										<img src="<?php echo esc_url( $vintagejournal_settings['vintagejournal_logo_url'] ); ?>" title="<?php esc_attr( bloginfo( 'description' ) ); ?>"/>
									</a></div>
									<?php
						} else { ?>
							<hgroup>
								<h1 class='site-title'><a href='<?php echo esc_url( home_url( '/' ) ); ?>' title='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>' rel='home'><?php esc_html( bloginfo( 'name' ) ); ?></a></h1>
								<h2 class='site-description'><?php esc_html( bloginfo( 'description' ) ); ?></h2>
							</hgroup>
						<?php } ?>
						

											</div><!-- .site-branding -->
					<div class="large-6 medium-6 columns header-right">
						<?php if ( is_active_sidebar( 'header_right' ) ) : ?>
							<?php dynamic_sidebar( 'header_right' ); ?>
						<?php endif; ?>
					</div>
				</div>	
			</div>	
		  </div>	

		
				<?php if ( has_nav_menu( 'primary' ) ) : ?>
				<div class="menu-outer main-menu">
					<div class="row">
					<div id="main-menu" class="menu animated" aria-label="<?php esc_html_e( 'Secondary Menu', 'vintagejournal' ); ?>" >
							<?php
							wp_nav_menu( array(
								'theme_location' => 'primary',
								'menu_class'     => 'menu',
							) );
						?>

													<?php get_template_part( 'searchform' ); ?>
				   </div><!-- .main-navigation -->
				   </div>
				</div>
		<?php
			else : ?>
			
			<div class="menu-outer main-menu">
				<div class="row">
					<div id="main-menu" class="menu animated" aria-label="<?php esc_html_e( 'Secondary Menu', 'thereader' ); ?>" >
						<ul class="menu-menu nav navbar-nav">
							<?php wp_list_pages( array(
								'title_li' => '',
							) ); ?>
						</ul>
					</div>
				</div>
			</div>
			<?php
		endif; ?>

			</header><!-- #masthead -->

	
	 
		<?php if ( is_home() ) {
			if ( is_active_sidebar( 'home-slider' ) ) :
				dynamic_sidebar( 'home-slider' );
			endif;
			if ( is_active_sidebar( 'header_bottom' ) ) : ?>
				<div class="large-12 columns head-bottom">
					<div class="row"><?php dynamic_sidebar( 'header_bottom' ); ?></div>
				</div>
			<?php endif; ?>

			
			<?php if ( is_active_sidebar( 'below_header_bottom' ) ) : ?>
				<?php dynamic_sidebar( 'below_header_bottom' ); ?>
		<?php endif; ?>
			
			<?php } ?>

			
	<?php
	if ( is_single() ) { ?>            
		<div class="main-top-head">
			<div class="row">
				<span class="date"><?php echo wp_kses( get_the_date( 'M d, Y' ), wp_kses_allowed_html( 'post' ) ); ?></span>
				<?php the_title( '<h1 class="entry-title">', '</h1>' );?>
				<div class="entry-meta">
					<span class="cate"><?php vintagejournal_categories_tags(); ?></span>  
					<?php vintagejournal_posted_on(); ?>
				</div>
			</div>
		</div>
	<?php
	}

	vintagejournal_breadcrumbs(); ?>      
	
	 <div id="content" class="site-inner">
		<div class="row clearfix">
			<div class="content-box clearfix">
