<?php
/**
 * Template part for displaying results in search pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package vintagejournal
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php
		if ( is_single() ) {
			the_title( '<h1 class="entry-title">', '</h1>' );
		} else {
			echo '<h2 class="entry-title"><a class="title" href="' . esc_url( get_permalink() ) . '" rel="bookmark">';
			the_title();
			echo '</a></h2>';
		}

		if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php vintagejournal_posted_on(); ?>

						<?php echo ' <span class="hr">/</span> <i class="fa fa-comment"></i>';
						if ( ! comments_open() && ! pings_open() ) {
							echo '<span class="c-off">' . __( 'Off','vintagejournal' ) . '</span>';
						} else {
							comments_popup_link( __( '0', 'vintagejournal' ), __( '1', 'vintagejournal' ), __( '%', 'vintagejournal' ) );
						}
						echo ''; ?>
		</div><!-- .entry-meta -->
		<?php
		endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-summary">
		<?php the_excerpt(); ?>
	<p class="more-link"><?php echo '<a class="title" href="' . esc_url( get_permalink() ) . '" rel="bookmark">' . __( 'Keep Reading','vintagejournal' ); ?><i class="fa fa-angle-right"></i></a></p>
	</div><!-- .entry-summary -->
</article><!-- #post-## -->




