<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package vintage
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> role="article" itemprop="hasPart" itemscope="" itemtype="//schema.org/Article">
<meta itemscope='itemscope' itemprop='mainEntityOfPage' itemType='https://schema.org/WebPage'/>
		
	<?php if ( ! is_single() ) { ?>
		<?php if ( has_post_thumbnail() ) {	?>
		<?php echo '<a class="post-thumb" href="' . esc_url( get_permalink() ) . '" rel="bookmark">'; ?><img src="<?php the_post_thumbnail_url( 'vintagejournal-featured-image' ); ?>" alt="<?php the_title();?>" /></a>
			<?php } else {
	if ( ! is_category() ) {
		echo '<a class="post-thumb" href="' . esc_url( get_permalink() ) . '" rel="bookmark">'; ?><img src="<?php echo get_stylesheet_directory_uri() . '/images/noimage.jpg' ?>" alt="<?php the_title();?>" /></a> <?php
	}
}
}

			vintagejournal_post_first_image();

if ( ! is_single() ) {
	echo '<header class="entry-header">';
	$time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';
	if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
		$time_string = '<time class="entry-date published" datetime="%1$s">%2$s</time>';
	}

	$time_string = sprintf( $time_string,
		esc_attr( get_the_date( 'c' ) ),
		esc_html( get_the_date() ),
		esc_attr( get_the_modified_date( 'c' ) ),
		esc_html( get_the_modified_date() )
	);

	$posted_on = sprintf(
		esc_html_x( '%s', 'post date', 'vintagejournal' ),
		$time_string
	);
	$total_view = get_post_meta( $post->ID,'vintagejournal_total_post_view','true' );
	if ( trim( $total_view ) == '' ) {
		$total_view = 0;
	}
	echo '<span class="posted-on" datetime="' . get_the_time( 'c' ) . '" itemprop="datePublished" content="' . get_the_time( 'c' ) . '">' . $posted_on . '</span>';
	echo '<span class="meta-r" ><i class="fa fa-eye"></i> ' . $total_view . '   <i class="fa fa-comment"></i>';
	if ( ! comments_open() && ! pings_open() ) {
		echo '<span class="c-off">' . __( 'Off','vintagejournal' ) . '</span>';
	} else {
		comments_popup_link( __( '0', 'vintagejournal' ), __( '1', 'vintagejournal' ), __( '%', 'vintagejournal' ) );
	}
	echo '</span><h2 class="entry-title" itemprop="headline"><a class="title" itemprop="url" itemprop="url" href="' . esc_url( get_permalink() ) . '" rel="bookmark">';
	the_title();
	echo '</a></h2>';


	if ( 'post' === get_post_type() ) : ?>
					<div class="entry-meta">
						<?php vintagejournal_posted_on(); ?>
					</div><!-- .entry-meta -->
					<?php
				endif;
	echo '</header>';
}// End if().
	?>

	<div class="entry-content" itemprop="description">
		<?php


		if ( ! is_single() ) {
			the_excerpt();
		} else {
			/* show content */
			the_content( sprintf(
				/* translators: %s: Name of current post. */
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'vintagejournal' ), array(
					'span' => array(
						'class' => array(),
					),
				) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );

			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'vintagejournal' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
			) );
		}

		?>
	 </div><!-- .entry-content -->

			<?php
			if ( ! is_single() ) { ?>
				<p class="more-link"><?php echo '<a class="title" href="' . esc_url( get_permalink() ) . '" rel="bookmark">' . __( 'Keep Reading','vintagejournal' ); ?><i class="fa fa-angle-right"></i></a></p>

	
					 <ul class="social">
					 <li><a target="_blank" class="facebook" href="//www.facebook.com/sharer.php?u=<?php esc_url( the_permalink() );?>&amp;t=<?php the_title(); ?>">
					<i class="fa fa-facebook"></i></a> </li>

							<li><a target="_blank" class="twitter" href="//twitter.com/home?status=Reading: <?php esc_url( the_permalink() ); ?>">
					<i class="fa fa-twitter"></i></a> </li>

							<li><a target="_blank" class="pinterest" href="//pinterest.com/pin/create/button/?url=<?php esc_url( the_permalink() ); ?>">
					<i class="fa fa-pinterest"></i></a> </li>

							<li><a target="_blank" class="google-plus" href="https://plus.google.com/share?url=<?php esc_url( the_permalink() ); ?>">
					<i class="fa fa-google-plus"></i></a> </li>
				 </ul>

						<?php }?>

	 
			<?php
			if ( is_single() ) { ?>

			   <div class="post-footer">
			<div class="s-comment"><i class="fa fa-comment-o"></i> <span><?php comments_popup_link( esc_html__( '0', 'vintagejournal' ), esc_html__( '1', 'vintagejournal' ), esc_html__( '%', 'vintagejournal' ) ); ?></span></div>
				<?php
				$total_view = get_post_meta( $post->ID,'vintagejournal_total_post_view','true' );
				if ( trim( $total_view ) == '' ) {
					$total_view = 0;
				}
			?>
		   <div class="post-view"><i class="fa fa-eye"></i> <span><?php echo intval( $total_view ); ?></span></div>
		<div class="share"> <i class="fa fa-share-alt"></i>
		<ul class="social">
		<li><a class="twitter" href="//twitter.com/home?status=Reading: <?php esc_url( the_permalink() ); ?>" title="<?php _e( 'Share this post on Twitter!','vintagejournal' ); ?>" target="_blank"><i class="step fa fa-twitter"></i></a></li> 
		<li><a class="facebook" href="//www.facebook.com/sharer.php?u=<?php esc_url( the_permalink() );?>&amp;t=<?php esc_attr( the_title() ); ?>" title="<?php esc_html_e( 'Share this post on Facebook!','vintagejournal' ); ?>" target="_blank"> <i class="step fa fa-facebook"></i></a></li>
		<li><a class="googleplus" target="_blank" href="https://plus.google.com/share?url=<?php esc_url( the_permalink() ); ?>"><i class="fa fa-google-plus"></i></a></li>
		<li><a class="pinterest" href="//pinterest.com/pin/create/button/?url=<?php esc_url( the_permalink() ); ?>"  count-layout="none"><i class="fa fa-pinterest"></i></a></li>
		<li><a class="linkedin" href="//www.linkedin.com/shareArticle?mini=true&url=<?php esc_url( the_permalink() ); ?>&title=<?php the_title(); ?>&summary=<?php esc_attr( the_title() ); ?>&source=<?php echo esc_url( home_url() ); ?>"  count-layout="none"><i class="fa fa-linkedin"></i></a></li>
		<li><a class="email" href="mailto:<?php echo (antispambot( get_the_author_meta( 'email' ) )); ?>"><i class="fa fa-envelope"></i></a></li>
		</ul>
		</div> <!-- post footer #end -->

		<?php if ( has_tag() ) : ?>
	<p class="tags"><i class="fa fa-tag"></i><?php the_tags( '<span class="tags-title">' . esc_html__( ' ', 'vintagejournal' ) . '</span> ', '  ', '' ); ?></p>
	<?php endif; ?>
		</div>
	
		<?php }?>
	
	<?php vintagejournal_structured_data(); ?>
	
</article><!-- #post-## -->
