<?php
/*
*
* Author Widget
*/
class Vintagejournal_Author_Widget extends WP_Widget {

	function __construct() {
		/* Constructor */

		$widget_ops = array(
			'classname' => 'widget_author',
			'description' => esc_html__( 'Shows Author information for detail page','vintagejournal' ),
		);

		parent::__construct( 'Vintagejournal_Author_Widget', esc_html__( 'T &rarr; Author Widget','vintagejournal' ), $widget_ops );

	}
	function widget( $args, $instance ) {
		// prints the widget
		extract( $args, EXTR_SKIP );
		$title = empty( $instance['title'] ) ? '' : apply_filters( 'widget_title', $instance['title'] );
		$image = empty( $instance['image'] ) ? '' : apply_filters( 'widget_image', $instance['image'] );
		$description = empty( $instance['description'] ) ? '' : apply_filters( 'widget_description', $instance['description'] );
		$link = empty( $instance['link'] ) ? '' : apply_filters( 'widget_link', $instance['link'] );
		$designation = empty( $instance['designation'] ) ? '' : apply_filters( 'widget_designation', $instance['designation'] );
		$designation = empty( $instance['designation'] ) ? '' : apply_filters( 'widget_designation', $instance['designation'] );
		$facebook = empty( $instance['facebook'] ) ? '' : apply_filters( 'widget_facebook', $instance['facebook'] );
		$twitter = empty( $instance['twitter'] ) ? '' : apply_filters( 'widget_twitter', $instance['twitter'] );
		$pinterest = empty( $instance['pinterest'] ) ? '' : apply_filters( 'widget_pinterest', $instance['pinterest'] );
		$google = empty( $instance['google'] ) ? '' : apply_filters( 'widget_google', $instance['google'] );

		echo wp_kses( $args['before_widget'], wp_kses_allowed_html( 'post' ) );
			?>						
			<div class="widget widget_about_author widget-widget_about_author">
					  <div class="author-title">
					<img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( $title ); ?>"  />
					<h5 class="author_name"><a href="<?php echo esc_url( $link ); ?>"><?php echo esc_attr( $title ); ?></a></h5>
						<?php if ( $designation ) { ?>
					  <h6> <?php echo wp_kses( $designation, wp_kses_allowed_html( 'post' ) ); ?> </h6>
						<?php }?>
					  <span></span>
					</div>

										  <p><?php echo wp_kses( $description, wp_kses_allowed_html( 'post' ) ); ?></p>
					<ul class="social">
							<?php if ( $facebook ) { ?><li><a target="_blank" class="facebook" href="<?php echo esc_url( $facebook ); ?>">
						<i class="fa fa-facebook"></i></a> </li><?php }?>
						<?php if ( $twitter ) { ?><li><a target="_blank" class="twitter" href="<?php echo esc_url( $twitter ); ?>">
						<i class="fa fa-twitter"></i></a> </li><?php }?>
						<?php if ( $pinterest ) { ?><li><a target="_blank" class="pinterest" href="<?php echo esc_url( $pinterest ); ?>">
						<i class="fa fa-pinterest"></i></a> </li><?php }?>
						<?php if ( $google ) { ?><li><a target="_blank" class="google-plus" href="<?php echo esc_url( $google ); ?>">
						<i class="fa fa-google-plus"></i></a> </li><?php }?>
					 </ul>
			 </div>                     
		<?php echo wp_kses( $args['after_widget'], wp_kses_allowed_html( 'post' ) );
	}
	function update( $new_instance, $old_instance ) {
		//save the widget
		return $new_instance;
	}
	function form( $instance ) {
		//widgetform in backend
		$instance = wp_parse_args( (array) $instance, array(
			'title' => '',
			'image' => '',
			'description' => '',
			'link' => '',
			'designation' => '',
			'facebook' => '',
			'twitter' => '',
			'pinterest' => '',
			'google' => '',
		) );
		$title = sanitize_text_field( $instance['title'] );
		$image = sanitize_text_field( $instance['image'] );
		$description = sanitize_text_field( $instance['description'] );
		$link = sanitize_text_field( $instance['link'] );
		$designation = sanitize_text_field( $instance['designation'] );
		$facebook = sanitize_text_field( $instance['facebook'] );
		$twitter = sanitize_text_field( $instance['twitter'] );
		$pinterest = sanitize_text_field( $instance['pinterest'] );
		$google = sanitize_text_field( $instance['google'] );
		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php esc_html_e( 'Title:','vintagejournal' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_html( $title ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'image' ); ?>"><?php esc_html_e( 'Image URL:','vintagejournal' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'image' ); ?>" name="<?php echo $this->get_field_name( 'image' ); ?>" type="text" value="<?php echo esc_url( $image ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'description' ); ?>"><?php esc_html_e( 'Description:','vintagejournal' ); ?></label>
			<textarea class="widefat" id="<?php echo $this->get_field_id( 'description' ); ?>" name="<?php echo $this->get_field_name( 'description' ); ?>"><?php echo esc_textarea( $description ); ?></textarea>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'link' ); ?>"><?php esc_html_e( 'Link:','vintagejournal' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'link' ); ?>" name="<?php echo $this->get_field_name( 'link' ); ?>" type="text" value="<?php echo esc_url( $link ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'designation' ); ?>"><?php esc_html_e( 'Designation:','vintagejournal' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'designation' ); ?>" name="<?php echo $this->get_field_name( 'designation' ); ?>" type="text" value="<?php echo esc_attr( $designation ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'facebook' ); ?>"><?php esc_html_e( 'Facebook Link:','vintagejournal' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'facebook' ); ?>" name="<?php echo $this->get_field_name( 'facebook' ); ?>" type="text" value="<?php echo esc_url( $facebook ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'twitter' ); ?>"><?php esc_html_e( 'Twitter Link:','vintagejournal' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'twitter' ); ?>" name="<?php echo $this->get_field_name( 'twitter' ); ?>" type="text" value="<?php echo esc_url( $twitter ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'pinterest' ); ?>"><?php esc_html_e( 'Pinterest Link:','vintagejournal' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'pinterest' ); ?>" name="<?php echo $this->get_field_name( 'pinterest' ); ?>" type="text" value="<?php echo esc_url( $pinterest ); ?>" />
		</p>
		 <p>
			<label for="<?php echo $this->get_field_id( 'pinterest' ); ?>"><?php esc_html_e( 'Pinterest Link:','vintagejournal' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'pinterest' ); ?>" name="<?php echo $this->get_field_name( 'pinterest' ); ?>" type="text" value="<?php echo esc_url( $pinterest ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'google' ); ?>"><?php esc_html_e( 'Google Plus Link:','vintagejournal' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'google' ); ?>" name="<?php echo $this->get_field_name( 'google' ); ?>" type="text" value="<?php echo esc_url( $google ); ?>" />
		</p>

		<?php
	}
}
