<?php
/**
 * Latest post
 *
 */
class Vintagejournal_Widget_Latest_Posts extends WP_Widget {


	function __construct() {
		$widget_ops = array(
			'classname' => 'widget_latest_posts',
			'description' => esc_html__( 'Show your latest posts.','vintagejournal' ),
		);
		parent::__construct( 'Vintagejournal_Widget_Latest_Posts', esc_html__( 'T &rarr; Latest Posts','vintagejournal' ), $widget_ops );
		$this->alt_option_name = 'widget_latest_posts';

	}

	function widget( $args, $instance ) {
		$cache = wp_cache_get( 'widget_latest_posts', 'widget' );

		if ( ! is_array( $cache ) ) {
			$cache = array();
		}

		if ( ! isset( $args['widget_id'] ) ) {
			$args['widget_id'] = $this->id;
		}

		if ( isset( $cache[ $args['widget_id'] ] ) ) {
			echo $cache[ $args['widget_id'] ];
			return;
		}

		ob_start();
		extract( $args );

		extract( $args, EXTR_SKIP );
		echo wp_kses( $args['before_widget'], wp_kses_allowed_html( 'post' ) );
		$title = empty( $instance['title'] ) ? '' : apply_filters( 'widget_title', $instance['title'] );

		 $category = empty( $instance['category'] ) ? '' : apply_filters( 'widget_category', $instance['category'] );
		$post_number = empty( $instance['number'] ) ? '4' : apply_filters( 'widget_post_number', $instance['number'] );
		$excerpt_length = ( ! empty( $instance['excerpt_length'] ) ) ? absint( $instance['excerpt_length'] ) : 10;
		$show_excerpt = empty( $instance['show_excerpt'] ) ? '' : apply_filters( 'widget_show_excerpt', $instance['show_excerpt'] );
		$view = empty( $instance['view'] ) ? 'list' : apply_filters( 'widget_show_view', $instance['view'] );
		$post_type = 'post';

		if ( $view == 'grid' ) { $class = 'grid';
		} else { $class = 'list'; }
		echo '';

		$catCounter = 0;
		$pcount = 0;
		if ( $title ) {
			echo wp_kses( $args['before_title'], wp_kses_allowed_html( 'post' ) ) . wp_kses( $title, wp_kses_allowed_html( 'post' ) ) . wp_kses( $args['after_title'], wp_kses_allowed_html( 'post' ) );
		} ?>
		 <!-- Article start -->
	   <ul class="<?php echo esc_attr( $view ); ?> row">

					<?php
					//$catQuery =  get_categories('include='.$catids);
					global $wpdb;
					/* qet transient of category results - save results in cache */

					$taxonomies = get_object_taxonomies( (object) array(
						'post_type' => $post_type,
						'public' => true,
						'_builtin' => true,
					) );
					/* qet transient of category results - save results in cache */
					if ( function_exists( 'icl_object_id' ) ) {
						foreach ( $category as $key => $value ) {
							$category[ $key ] = icl_object_id( $value, $taxonomies[0], true );
						}
					}

					if ( ! empty( $category ) ) {
						$lp = new WP_Query( array(
							'post_type' => $post_type,
							'posts_per_page' => $post_number,
							'tax_query' => array(
									array(
										'taxonomy' => $taxonomies[0],
										'field' => 'term_id',
										'terms' => $category,
									),
								),
							'orderby' => 'post_date',
							'order' => 'DESC',
						) ); /* Query to fetch per view */
					} else {
						$lp = new WP_Query( array(
							'post_type' => $post_type,
							'posts_per_page' => $post_number,
							'orderby' => 'post_date',
							'order' => 'DESC',
						) ); /* Query to fetch per view */
					}
					global $post;
					if ( $lp->have_posts() ) {

						while ( $lp->have_posts() ) { $lp->the_post();
							$time = get_post_meta( $post->ID,'time',true );
					?>

					<li class="main-view clearfix">
					<div class="view-img">
					<?php
					if ( has_post_thumbnail() ) { ?>
							<a class="video_thumb" href="<?php echo esc_url( get_permalink( $post->ID ) ); ?>" rel="bookmark" title="<?php get_the_title( $post->ID ); ?>">		
								 <img src="<?php esc_url( the_post_thumbnail_url( 'vintagejournal-post-small-thumb' ) ); ?>" alt="<?php esc_attr( get_the_title( $post->ID ) ); ?>" title="<?php esc_attr( the_title() ); ?>"  /> 
							   </a>
							<?php
					}
					?>
					</div>
					<div class="view-desc">
					<h4><a href="<?php esc_url( the_permalink() ); ?>"><?php get_the_title() ? the_title() : the_ID(); ?></a></h4>
				<p class="meta"><?php vintagejournal_categories_tags();
				esc_html_e( ' /','vintagejournal' );?> <span class="byline"><?php echo get_the_time( get_option( 'date_format' ) ); ?></span></p>
						<?php if ( $show_excerpt ) : ?>
						<div class="post-excerpt"><?php vintagejournal_print_excerpt( $excerpt_length ); ?></div>
					<?php endif; ?>
						</div>
					</li>

				<?php }
					}

		?>
		</ul>

		<!-- Article End -->
		<?php
		echo wp_kses( $args['after_widget'], wp_kses_allowed_html( 'post' ) );

		$cache[ $args['widget_id'] ] = ob_get_flush();
		wp_cache_set( 'widget_latest_posts', $cache, 'widget' );
	}

	function update( $new_instance, $old_instance ) {
		global $wpdb;
		$instance = $old_instance;
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['category'] = $new_instance['category'];
		$instance['number'] = strip_tags( $new_instance['number'] );
		$instance['show_excerpt'] = strip_tags( $new_instance['show_excerpt'] );
		$instance['view'] = strip_tags( $new_instance['view'] );
		$instance['post_type'] = strip_tags( $new_instance['post_type'] );

		return $instance;
	}


	function form( $instance ) {

		//widgetform in backend
		$instance = wp_parse_args( (array) $instance, array(
			'title' => '',
			'category' => '',
			'number' => '',
		) );
		$title = strip_tags( @$instance['title'] );
		$category = @$instance['category'];
		$number = strip_tags( @$instance['number'] );
		$excerpt_length = strip_tags( @$instance['excerpt_length'] );
		$show_excerpt = strip_tags( @$instance['show_excerpt'] );
		$view = strip_tags( @$instance['view'] );
		$post_type = 'post';
		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php esc_html_e( 'Title:','vintagejournal' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'number' ); ?>"><?php esc_html_e( 'Number of posts to show','vintagejournal' ); ?>: </label>
			<input id="<?php echo $this->get_field_id( 'number' ); ?>" name="<?php echo $this->get_field_name( 'number' ); ?>" type="text" value="<?php echo intval( $number ); ?>" size="3" />
		</p>
		<p><label for="<?php echo $this->get_field_id( 'excerpt_length' ); ?>"><?php esc_html_e( 'Excerpt Length','vintagejournal' ); ?>: </label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'excerpt_length' ); ?>" name="<?php echo $this->get_field_name( 'excerpt_length' ); ?>" type="text" value="<?php echo intval( $excerpt_length ); ?>" /></p>
		<p>
			<input class="checkbox" type="checkbox" <?php checked( $show_excerpt ); ?> id="<?php echo $this->get_field_id( 'show_excerpt' ); ?>" name="<?php echo $this->get_field_name( 'show_excerpt' ); ?>" value="1"/>
		
			<label for="<?php echo $this->get_field_id( 'show_excerpt' ); ?>"><?php esc_html_e( 'Display post excerpt?','vintagejournal' ); ?></label>
		</p>
		 <!-- Select the view -->
		 <p>
			 <label for="<?php echo $this->get_field_id( 'view' );  ?>"></label>
			 <select class="widefat" name="<?php echo $this->get_field_name( 'view' ); ?>" id="<?php  echo $this->get_field_id( 'view' ); ?>" >
				 <option value="list" <?php if ( $view == 'list' ) { echo 'selected=selected'; }?>><?php esc_html_e( 'List','vintagejournal' ); ?></option>
				 <option value="grid" <?php if ( $view == 'grid' ) { echo 'selected=selected'; }?>><?php esc_html_e( 'Grid','vintagejournal' ); ?></option>
			 </select>
		 </p>
		
		  <label for="<?php echo $this->get_field_id( 'category' ); ?>"><?php esc_html_e( 'Categories ','vintagejournal' ); ?>: </label>
		  <select class="widefat" id="<?php echo $this->get_field_id( 'category' ); ?>" name="<?php echo $this->get_field_name( 'category' ); ?>[]" multiple=multiple>
					<?php  $args = array();
					$category_slug = 'category';
					$terms = get_terms( $category_slug, $args );

					for ( $c = 0 ; $c <= count( $terms ); $c++ ) {
						if ( @$terms[ $c ]->term_id != '' ) {
							if ( is_array( $category ) && in_array( $terms[ $c ]->term_id,$category ) ) { $selected = 'selected=selected';
							} else {  $selected = ''; }
						?>
						<option value="<?php echo intval( $terms[ $c ]->term_id ); ?>" <?php echo $selected; ?>><?php echo esc_attr( $terms[ $c ]->name ); ?></option>
					<?php }
					}
					?>		  		
		  </select>
		  <p class="description"><?php esc_html_e( 'Select categories from which you want the posts to appear in this widget.','vintagejournal' ); ?></p>
		 </p>
		<?php
	}
}
