<?php
/*-------------------------------------------------------------------
Social widget START
--------------------------------------------------------------------*/
if ( ! class_exists( 'Vintagejournal_Social_Media' ) ) {
	class Vintagejournal_Social_Media extends WP_Widget {

		function __construct() {
			/* Constructor */

			$widget_ops = array( 'classname' => 'widget social_media','description' => apply_filters( 'vintagejournal_social_media_description',esc_html__( 'Add icons and links to your social media accounts. Works in header, footer, main content and sidebar widget areas.','vintagejournal' ) ) );

			parent::__construct( 'social_media', esc_html__( 'T &rarr; Social Media','vintagejournal' ), $widget_ops );

		}
		function widget( $args, $instance ) {
			// prints the widget
			extract( $args, EXTR_SKIP );
			echo $args['before_widget'];

			$title = empty( $instance['title'] ) ? '' : apply_filters( 'widget_title', $instance['title'] );
			$social_description = empty( $instance['social_description'] ) ? '' : apply_filters( 'social_description', $instance['social_description'] );
			$social_link = empty( $instance['social_link'] ) ? '' : apply_filters( 'widget_social_link', $instance['social_link'] );
			$social_icon = empty( $instance['social_icon'] ) ? '' : apply_filters( 'widget_social_icon', $instance['social_icon'] );
			$social_text = empty( $instance['social_text'] ) ? '' : apply_filters( 'widget_social_text', $instance['social_text'] );
			if ( function_exists( 'icl_register_string' ) ) {
				icl_register_string( 'templatic','social_media_title',$title );
				$title              = icl_t( 'templatic','social_media_title',$title );
				icl_register_string( 'templatic','social_description',$social_description );
				$social_description = icl_t( 'templatic','social_description',$social_description );
			}
			if ( $title != '' ) {
				echo $args['before_title'];
				echo $title;
				echo $args['after_title'];
			}
			if ( $social_description != '' ) : ?>
			<p class="social_description"> <?php echo $social_description;?> </p>
			<?php endif;?>
			<div class="social_media">
			  <ul class="social_media_list">
				<?php
				for ( $c = 0; $c < count( $social_icon ); $c++ ) {
					if ( function_exists( 'icl_register_string' ) ) {
						icl_register_string( 'templatic',@$social_text[ $c ],@$social_text[ $c ] );
						$social_text[ $c ] = icl_t( 'templatic',@$social_text[ $c ],@$social_text[ $c ] );
					}
					?>
				<li> <a href="<?php echo @$social_link[ $c ]; ?>" target="_blank" >
				  
					<?php
					if ( @$social_icon[ $c ] != '' ) :
						echo @wp_kses( $social_icon[ $c ], wp_kses_allowed_html( 'post' ) );
						endif;
					?>
				  
					<?php echo (isset( $social_text[ $c ] ))? sprintf( __( '%s','templatic' ), @$social_text[ $c ] ):'';?> </a> </li>
				<?php
				}
								?>
			  </ul>
			</div>
			<?php

			echo $args['after_widget'];
		}
		function update( $new_instance, $old_instance ) {
			//save the widget
			echo 'jherere';
			echo '<pre>';
			print_r( $new_instance );
			echo '</pre>';
			return $new_instance;
		}
		function form( $instance ) {
			//widgetform in backend
			$instance = wp_parse_args( (array) $instance, array(
				'title' => __( 'Connect To Us','templatic-admin' ),
				'social_description' => __( 'Find Us On Social Sites','templatic-admin' ),
				'social_link' => '',
				'social_text' => '',
			) );
			$title              = strip_tags( $instance['title'] );
			$social_description = $instance['social_description'];
			$social_link1       = ($instance['social_link']);
			$social_icon1       = ($instance['social_icon']);
			$social_text1       = ($instance['social_text']);
			global $social_link,$social_icon,$social_text;
			$text_social_link = $this->get_field_name( 'social_link' );
			$text_social_icon = $this->get_field_name( 'social_icon' );
			$text_social_text = $this->get_field_name( 'social_text' );
			?>
		<p>
		  <label for="<?php echo $this->get_field_id( 'title' ); ?>">
			<?php echo __( 'Title','templatic-admin' );?>
			:
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		  </label>
		</p>
		<p>
		  <label for="<?php echo $this->get_field_id( 'social_description' ); ?>">
			<?php echo __( 'Description','templatic-admin' );?>
			:
			<input class="widefat" id="<?php echo $this->get_field_id( 'social_description' ); ?>" name="<?php echo $this->get_field_name( 'social_description' ); ?>" type="text" value="<?php echo $social_description; ?>" />
		  </label>
		</p>
		<p> <i> <?php echo __( 'Please enter full URL to your profiles.','templatic-admin' ); ?> </i> </p>
		<p>
		  <label for="<?php echo $this->get_field_id( 'social_link' ); ?>">
			<?php echo __( 'Social Link','templatic-admin' );?>
			:
			<input class="widefat" id="<?php echo $this->get_field_id( 'social_link' ); ?>" name="<?php echo $text_social_link; ?>[]" type="text" value="<?php echo esc_attr( @$social_link1[0] ); ?>" />
		  </label>
		</p>
		<p>
		  <label for="<?php echo $this->get_field_id( 'social_icon' ); ?>">
			<?php echo __( 'Social Icon','templatic-admin' );?>
			:
			<input class="widefat" id="<?php echo $this->get_field_id( 'social_icon' ); ?>" name="<?php echo $text_social_icon; ?>[]" type="text" value="<?php echo esc_attr( @$social_icon1[0] ); ?>" />
		  </label>
		</p>
		<p>
		  <label for="<?php echo $this->get_field_id( 'social_text1' ); ?>">
			<?php echo __( 'Social Text','templatic-admin' );?>
			:
			<input class="widefat" id="<?php echo $this->get_field_id( 'social_text1' ); ?>" name="<?php echo $text_social_text; ?>[]" type="text" value="<?php echo esc_attr( @$social_text1[0] ); ?>" />
		  </label>
		</p>
		<div id="social_tGroup" class="social_tGroup">
		<?php
		for ( $i = 1;$i < count( (array)$social_link1 );$i++ ) {
			if ( $social_link1[ $i ] != '' ) {
				$j = $i + 1;
				echo '<div  class="SocialTextDiv' . $j . '">';
				echo '<p>';
				echo '<label>' . __( 'Social Link','templatic-admin' ) . ' ' . $j;
				echo '<input class="widefat" name="' . $text_social_link . '[]" type="text" value="' . esc_attr( $social_link1[ $i ] ) . '" />';
				echo '</label>';
				echo '</p>';
				echo '<p>';
				echo '<label>Social Icon ' . $j;
				echo ' <input type="text" class="widefat"  name="' . $text_social_icon . '[]" value="' . esc_attr( $social_icon1[ $i ] ) . '">';
				echo '</label>';
				echo '</p>';
				echo '<p>';
				echo '<label>Social Text ' . $j;
				echo ' <input type="text" class="widefat"  name="' . $text_social_text . '[]" value="' . esc_attr( $social_text1[ $i ] ) . '">';
				echo '</label>';
				echo '</p>';
				echo '</div>';
			}
		}

		?>
		</div>
		<script type="text/javascript">
		var social_counter = <?php echo $j + 1;?>;
		</script>
		<a
				href="javascript:void(0);" id="addtButton" class="addButton" onclick="social_add_tfields('<?php echo $text_social_link; ?>','<?php echo $text_social_icon; ?>','<?php echo $text_social_text; ?>');"> + <?php _e( 'Add more','templatic' );?> </a> &nbsp; | &nbsp; 
		<a
				href="javascript:void(0);" id="removetButton" class="removeButton" onclick="social_remove_tfields();">- <?php _e( 'Remove','templatic' );?> </a>
	<?php
		}
	}
	add_action( 'admin_head','supreme_add_script_addnew_1' );
	if ( ! function_exists( 'supreme_add_script_addnew_1' ) ) {
		function supreme_add_script_addnew_1() {
			global $social_link,$social_icon,$social_text;
			?>
		<script type="application/javascript">
		function social_add_tfields(name,ilname,sname)
		{
			var SocialTextDiv = jQuery(document.createElement('div')).attr("class", 'SocialTextDiv' + social_counter);
			SocialTextDiv.html('<p><label><?php echo __( 'Social Link','templatic-admin' ); ?> '+ social_counter+': </label>'+'<input type="text" class="widefat" name="'+name+'[]" id="textbox' + social_counter + '" value="" /></p>');
			SocialTextDiv.append('<p><label><?php echo __( 'Social Icon','templatic-admin' ); ?> '+ social_counter+': </label>'+'<input type="text" class="widefat" name="'+ilname+'[]" id="textbox' + social_counter + '" value="" ></p>');
			SocialTextDiv.append('<p><label><?php echo __( 'Social Text','templatic-admin' ); ?> '+ social_counter+': </label>'+'<input type="text" class="widefat" name="'+sname+'[]" id="textbox' + social_counter + '" value="" ></p>');
			SocialTextDiv.appendTo(".social_tGroup");
			social_counter++;
		}
		function social_remove_tfields()
		{
			if(social_counter-1==1)
			{
				alert("<?php echo __( 'You need one textbox required.','templatic-admin' )?>");
				return false;
			}
			social_counter--;
			jQuery(".SocialTextDiv" + social_counter).remove();
		}
		</script>
<?php
		}
	}
}// End if().
