<?php
/**
 * Popular post widget class
 *
 */
class Vintagejournal_Post_Category extends WP_Widget {


	function __construct() {
		$widget_ops = array( 'classname' => 'widget_post_category', 'description' => esc_html__( 'Your site&#8217;s category icon.','vintagejournal' ) );
		parent::__construct( 'Vintagejournal_Post_Category', esc_html__( 'T &rarr; VintageJournal Category Icon','vintagejournal' ), $widget_ops );

	}

	function widget( $args, $instance ) {

		ob_start();
		extract( $args );

		$category = empty( $instance['category'] ) ? '' : apply_filters( 'widget_category', $instance['category'] );

		if ( ! empty( $category ) ) {

			if ( $category[0] != '' ) {
				echo wp_kses( $args['before_widget'], wp_kses_allowed_html( 'post' ) );
				?>
				<div class="category-list">
				<div class="row clearfix">
					<ul>
						<?php

						foreach ( $category as $cat ) {
							$vintagejournal_cate_image = '';
							if ( vintagejournal_has_image( $cat ) ) {
								$vintagejournal_cate_image = vintagejournal_get_category_image(array(
									'term_id' => $cat,
									'size'    => 'vintagejournal-category-thumb',
								));
							}

							?>
							<li><h3><a href="<?php echo esc_url( get_category_link( $cat ) );?>"><?php echo esc_html( get_cat_name( $cat ) );?></a> <span><?php esc_html_e( 'Category','vintagejournal' );?></span></h3>
								<a href="<?php echo esc_url( get_category_link( $cat ) );?>"><?php echo $vintagejournal_cate_image; ?></a>
							</li>
							<?php
						}
						?>	
						
						</ul>
						</div>
					</div>
				<?php
				echo wp_kses( $args['after_widget'], wp_kses_allowed_html( 'post' ) );
			}
		}
		/* Loop End */
	}

	function update( $new_instance, $old_instance ) {
		return $new_instance;
	}

	function form( $instance ) {

		$category  = @$instance['category'];
		if ( ! is_array( $category ) ) {
			$category = explode( ',', $category );
			/* trim array value */
			$category = array_map( 'trim', $category );
		}

			?>
		
		<p>
		  <label for="<?php echo $this->get_field_id( 'category' ); ?>"><?php echo __( 'Categories:', 'vintagejournal' ); ?></label>
		  <select id="<?php echo $this->get_field_id( 'category' ); ?>" name="<?php echo $this->get_field_name( 'category' ); ?>[]" class="<?php echo $this->get_field_id( 'category' ); ?> widefat" multiple="multiple">
			<option value=""><?php echo esc_html__( 'Select Category', 'vintagejournal' ); ?></option>
			<?php

				$taxonomies = get_object_taxonomies( (object) array(
					'post_type' => 'post',
					'public' => true,
					'_builtin' => true,
				) );
				$terms = get_terms( $taxonomies[0], 'orderby=name&hide_empty=0' );
			foreach ( $terms as $term ) {
				$term_value = $term->term_id;
				$selected = (in_array( $term_value, $category ) || in_array( $term->slug, $category )) ? 'selected' : '';
				?>
				<option value="<?php echo intval( $term_value ) ?>" <?php echo $selected ?>> <?php echo esc_attr( $term->name ); ?> </option>
				<?php
			}

				?>
		  </select>
		</p>
		
	<?php
	}
}
